Package org.eclipse.birt.chart.model.type.impl

# Class PieSeriesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.SeriesImpl
org.eclipse.birt.chart.model.type.impl.PieSeriesImpl

All Implemented Interfaces:
  `Series`, `IChartObject`, `PieSeries`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class PieSeriesImpl extends SeriesImpl implements PieSeries
An implementation of the model object ' Pie Series'.

The following features are implemented:

- `Explosion`
- `Explosion Expression`
- `Title`
- `Title Position`
- `Leader Line Attributes`
- `Leader Line Style`
- `Leader Line Length`
- `Slice Outline`
- `Ratio`
- `Rotation`
- `Clockwise`
- `Inner Radius`
- `Inner Radius Percent`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLeaderLineAttributes(LineAttributes newLeaderLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetSliceOutline(ColorDefinition newSliceOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetTitle(Label newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`PieSeries`
`copyInstance()`
`static final Series`
`create()`
A convenience method to create an initialized 'Series' instance
`static final Series`
`createDefault()`
A convenience method to create an initialized 'Series' instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`String`
`getDisplayName()`
This method should return a user-friendly name for the series type.
`int`
`getExplosion()`
`String`
`getExplosionExpression()`
`double`
`getInnerRadius()`
`org.eclipse.birt.chart.util.NameSet`
`getLabelPositionScope(ChartDimension dimension)`
Returns supported label positions scope in current series.
`LineAttributes`
`getLeaderLineAttributes()`
`double`
`getLeaderLineLength()`
`LeaderLineStyle`
`getLeaderLineStyle()`
`double`
`getRatio()`
`double`
`getRotation()`
`ColorDefinition`
`getSliceOutline()`
`Label`
`getTitle()`
`Position`
`getTitlePosition()`
`boolean`
`isClockwise()`
`boolean`
`isInnerRadiusPercent()`
`boolean`
`isSetClockwise()`
`boolean`
`isSetExplosion()`
`boolean`
`isSetInnerRadius()`
`boolean`
`isSetInnerRadiusPercent()`
`boolean`
`isSetLeaderLineLength()`
`boolean`
`isSetLeaderLineStyle()`
`boolean`
`isSetRatio()`
`boolean`
`isSetRotation()`
`boolean`
`isSetTitlePosition()`
`void`
`setClockwise(boolean newClockwise)`
`void`
`setExplosion(int newExplosion)`
`void`
`setExplosionExpression(String newExplosionExpression)`
`void`
`setInnerRadius(double newInnerRadius)`
`void`
`setInnerRadiusPercent(boolean newInnerRadiusPercent)`
`void`
`setLeaderLineAttributes(LineAttributes newLeaderLineAttributes)`
`void`
`setLeaderLineLength(double newLeaderLineLength)`
`void`
`setLeaderLineStyle(LeaderLineStyle newLeaderLineStyle)`
`void`
`setRatio(double newRatio)`
`void`
`setRotation(double newRotation)`
`void`
`setSliceOutline(ColorDefinition newSliceOutline)`
`void`
`setTitle(Label newTitle)`
`void`
`setTitlePosition(Position newTitlePosition)`
`String`
`toString()`
`void`
`unsetClockwise()`
`void`
`unsetExplosion()`
`void`
`unsetInnerRadius()`
`void`
`unsetInnerRadiusPercent()`
`void`
`unsetLeaderLineLength()`
`void`
`unsetLeaderLineStyle()`
`void`
`unsetRatio()`
`void`
`unsetRotation()`
`void`
`unsetTitlePosition()`

### Methods inherited from class org.eclipse.birt.chart.model.component.impl.SeriesImpl

`basicSetCursor, basicSetCurveFitting, basicSetDataPoint, basicSetLabel, canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getLabel, getLabelPosition, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getLabel, getLabelPosition, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getExplosion

public int getExplosion()

Specified by:
  `getExplosion` in interface `PieSeries`
Returns:
  the value of the 'Explosion' attribute.
See Also:
  - `PieSeries.isSetExplosion()`
  - `PieSeries.unsetExplosion()`
  - `PieSeries.setExplosion(int)`
  - `TypePackage.getPieSeries_Explosion()`

### setExplosion

public void setExplosion(int newExplosion)

Specified by:
  `setExplosion` in interface `PieSeries`
Parameters:
  `newExplosion` - the new value of the 'Explosion' attribute.
See Also:
  - `PieSeries.isSetExplosion()`
  - `PieSeries.unsetExplosion()`
  - `PieSeries.getExplosion()`

### unsetExplosion

public void unsetExplosion()

Specified by:
  `unsetExplosion` in interface `PieSeries`
See Also:
  - `PieSeries.isSetExplosion()`
  - `PieSeries.getExplosion()`
  - `PieSeries.setExplosion(int)`

### isSetExplosion

public boolean isSetExplosion()

Specified by:
  `isSetExplosion` in interface `PieSeries`
Returns:
  whether the value of the 'Explosion' attribute is set.
See Also:
  - `PieSeries.unsetExplosion()`
  - `PieSeries.getExplosion()`
  - `PieSeries.setExplosion(int)`

### getExplosionExpression

public String getExplosionExpression()

Specified by:
  `getExplosionExpression` in interface `PieSeries`
Returns:
  the value of the 'Explosion Expression' attribute.
See Also:
  - `PieSeries.setExplosionExpression(String)`
  - `TypePackage.getPieSeries_ExplosionExpression()`

### setExplosionExpression

public void setExplosionExpression(String newExplosionExpression)

Specified by:
  `setExplosionExpression` in interface `PieSeries`
Parameters:
  `newExplosionExpression` - the new value of the 'Explosion Expression' attribute.
See Also:
  - `PieSeries.getExplosionExpression()`

### getTitle

public Label getTitle()

Specified by:
  `getTitle` in interface `PieSeries`
Returns:
  the value of the 'Title' containment reference.
See Also:
  - `PieSeries.setTitle(Label)`
  - `TypePackage.getPieSeries_Title()`

### basicSetTitle

public org.eclipse.emf.common.notify.NotificationChain basicSetTitle(Label newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)

### setTitle

public void setTitle(Label newTitle)

Specified by:
  `setTitle` in interface `PieSeries`
Parameters:
  `newTitle` - the new value of the 'Title' containment reference.
See Also:
  - `PieSeries.getTitle()`

### getTitlePosition

public Position getTitlePosition()

Specified by:
  `getTitlePosition` in interface `PieSeries`
Returns:
  the value of the 'Title Position' attribute.
See Also:
  - `Position`
  - `PieSeries.isSetTitlePosition()`
  - `PieSeries.unsetTitlePosition()`
  - `PieSeries.setTitlePosition(Position)`
  - `TypePackage.getPieSeries_TitlePosition()`

### setTitlePosition

public void setTitlePosition(Position newTitlePosition)

Specified by:
  `setTitlePosition` in interface `PieSeries`
Parameters:
  `newTitlePosition` - the new value of the 'Title Position' attribute.
See Also:
  - `Position`
  - `PieSeries.isSetTitlePosition()`
  - `PieSeries.unsetTitlePosition()`
  - `PieSeries.getTitlePosition()`

### unsetTitlePosition

public void unsetTitlePosition()

Specified by:
  `unsetTitlePosition` in interface `PieSeries`
See Also:
  - `PieSeries.isSetTitlePosition()`
  - `PieSeries.getTitlePosition()`
  - `PieSeries.setTitlePosition(Position)`

### isSetTitlePosition

public boolean isSetTitlePosition()

Specified by:
  `isSetTitlePosition` in interface `PieSeries`
Returns:
  whether the value of the 'Title Position' attribute is set.
See Also:
  - `PieSeries.unsetTitlePosition()`
  - `PieSeries.getTitlePosition()`
  - `PieSeries.setTitlePosition(Position)`

### getLeaderLineAttributes

public LineAttributes getLeaderLineAttributes()

Specified by:
  `getLeaderLineAttributes` in interface `PieSeries`
Returns:
  the value of the 'Leader Line Attributes' containment reference.
See Also:
  - `PieSeries.setLeaderLineAttributes(LineAttributes)`
  - `TypePackage.getPieSeries_LeaderLineAttributes()`

### basicSetLeaderLineAttributes

public org.eclipse.emf.common.notify.NotificationChain basicSetLeaderLineAttributes(LineAttributes newLeaderLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLeaderLineAttributes

public void setLeaderLineAttributes(LineAttributes newLeaderLineAttributes)

Specified by:
  `setLeaderLineAttributes` in interface `PieSeries`
Parameters:
  `newLeaderLineAttributes` - the new value of the 'Leader Line Attributes' containment reference.
See Also:
  - `PieSeries.getLeaderLineAttributes()`

### getLeaderLineStyle

public LeaderLineStyle getLeaderLineStyle()

Specified by:
  `getLeaderLineStyle` in interface `PieSeries`
Returns:
  the value of the 'Leader Line Style' attribute.
See Also:
  - `LeaderLineStyle`
  - `PieSeries.isSetLeaderLineStyle()`
  - `PieSeries.unsetLeaderLineStyle()`
  - `PieSeries.setLeaderLineStyle(LeaderLineStyle)`
  - `TypePackage.getPieSeries_LeaderLineStyle()`

### setLeaderLineStyle

public void setLeaderLineStyle(LeaderLineStyle newLeaderLineStyle)

Specified by:
  `setLeaderLineStyle` in interface `PieSeries`
Parameters:
  `newLeaderLineStyle` - the new value of the 'Leader Line Style' attribute.
See Also:
  - `LeaderLineStyle`
  - `PieSeries.isSetLeaderLineStyle()`
  - `PieSeries.unsetLeaderLineStyle()`
  - `PieSeries.getLeaderLineStyle()`

### unsetLeaderLineStyle

public void unsetLeaderLineStyle()

Specified by:
  `unsetLeaderLineStyle` in interface `PieSeries`
See Also:
  - `PieSeries.isSetLeaderLineStyle()`
  - `PieSeries.getLeaderLineStyle()`
  - `PieSeries.setLeaderLineStyle(LeaderLineStyle)`

### isSetLeaderLineStyle

public boolean isSetLeaderLineStyle()

Specified by:
  `isSetLeaderLineStyle` in interface `PieSeries`
Returns:
  whether the value of the 'Leader Line Style' attribute is set.
See Also:
  - `PieSeries.unsetLeaderLineStyle()`
  - `PieSeries.getLeaderLineStyle()`
  - `PieSeries.setLeaderLineStyle(LeaderLineStyle)`

### getLeaderLineLength

public double getLeaderLineLength()

Specified by:
  `getLeaderLineLength` in interface `PieSeries`
Returns:
  the value of the 'Leader Line Length' attribute.
See Also:
  - `PieSeries.isSetLeaderLineLength()`
  - `PieSeries.unsetLeaderLineLength()`
  - `PieSeries.setLeaderLineLength(double)`
  - `TypePackage.getPieSeries_LeaderLineLength()`

### setLeaderLineLength

public void setLeaderLineLength(double newLeaderLineLength)

Specified by:
  `setLeaderLineLength` in interface `PieSeries`
Parameters:
  `newLeaderLineLength` - the new value of the 'Leader Line Length' attribute.
See Also:
  - `PieSeries.isSetLeaderLineLength()`
  - `PieSeries.unsetLeaderLineLength()`
  - `PieSeries.getLeaderLineLength()`

### unsetLeaderLineLength

public void unsetLeaderLineLength()

Specified by:
  `unsetLeaderLineLength` in interface `PieSeries`
See Also:
  - `PieSeries.isSetLeaderLineLength()`
  - `PieSeries.getLeaderLineLength()`
  - `PieSeries.setLeaderLineLength(double)`

### isSetLeaderLineLength

public boolean isSetLeaderLineLength()

Specified by:
  `isSetLeaderLineLength` in interface `PieSeries`
Returns:
  whether the value of the 'Leader Line Length' attribute is set.
See Also:
  - `PieSeries.unsetLeaderLineLength()`
  - `PieSeries.getLeaderLineLength()`
  - `PieSeries.setLeaderLineLength(double)`

### getSliceOutline

public ColorDefinition getSliceOutline()

Specified by:
  `getSliceOutline` in interface `PieSeries`
Returns:
  the value of the 'Slice Outline' containment reference.
See Also:
  - `PieSeries.setSliceOutline(ColorDefinition)`
  - `TypePackage.getPieSeries_SliceOutline()`

### basicSetSliceOutline

public org.eclipse.emf.common.notify.NotificationChain basicSetSliceOutline(ColorDefinition newSliceOutline, org.eclipse.emf.common.notify.NotificationChain msgs)

### setSliceOutline

public void setSliceOutline(ColorDefinition newSliceOutline)

Specified by:
  `setSliceOutline` in interface `PieSeries`
Parameters:
  `newSliceOutline` - the new value of the 'Slice Outline' containment reference.
See Also:
  - `PieSeries.getSliceOutline()`

### getRatio

public double getRatio()

Specified by:
  `getRatio` in interface `PieSeries`
Returns:
  the value of the 'Ratio' attribute.
See Also:
  - `PieSeries.isSetRatio()`
  - `PieSeries.unsetRatio()`
  - `PieSeries.setRatio(double)`
  - `TypePackage.getPieSeries_Ratio()`

### setRatio

public void setRatio(double newRatio)

Specified by:
  `setRatio` in interface `PieSeries`
Parameters:
  `newRatio` - the new value of the 'Ratio' attribute.
See Also:
  - `PieSeries.isSetRatio()`
  - `PieSeries.unsetRatio()`
  - `PieSeries.getRatio()`

### unsetRatio

public void unsetRatio()

Specified by:
  `unsetRatio` in interface `PieSeries`
See Also:
  - `PieSeries.isSetRatio()`
  - `PieSeries.getRatio()`
  - `PieSeries.setRatio(double)`

### isSetRatio

public boolean isSetRatio()

Specified by:
  `isSetRatio` in interface `PieSeries`
Returns:
  whether the value of the 'Ratio' attribute is set.
See Also:
  - `PieSeries.unsetRatio()`
  - `PieSeries.getRatio()`
  - `PieSeries.setRatio(double)`

### getRotation

public double getRotation()

Specified by:
  `getRotation` in interface `PieSeries`
Returns:
  the value of the 'Rotation' attribute.
See Also:
  - `PieSeries.isSetRotation()`
  - `PieSeries.unsetRotation()`
  - `PieSeries.setRotation(double)`
  - `TypePackage.getPieSeries_Rotation()`

### setRotation

public void setRotation(double newRotation)

Specified by:
  `setRotation` in interface `PieSeries`
Parameters:
  `newRotation` - the new value of the 'Rotation' attribute.
See Also:
  - `PieSeries.isSetRotation()`
  - `PieSeries.unsetRotation()`
  - `PieSeries.getRotation()`

### unsetRotation

public void unsetRotation()

Specified by:
  `unsetRotation` in interface `PieSeries`
See Also:
  - `PieSeries.isSetRotation()`
  - `PieSeries.getRotation()`
  - `PieSeries.setRotation(double)`

### isSetRotation

public boolean isSetRotation()

Specified by:
  `isSetRotation` in interface `PieSeries`
Returns:
  whether the value of the 'Rotation' attribute is set.
See Also:
  - `PieSeries.unsetRotation()`
  - `PieSeries.getRotation()`
  - `PieSeries.setRotation(double)`

### isClockwise

public boolean isClockwise()

Specified by:
  `isClockwise` in interface `PieSeries`
Returns:
  the value of the 'Clockwise' attribute.
See Also:
  - `PieSeries.isSetClockwise()`
  - `PieSeries.unsetClockwise()`
  - `PieSeries.setClockwise(boolean)`
  - `TypePackage.getPieSeries_Clockwise()`

### setClockwise

public void setClockwise(boolean newClockwise)

Specified by:
  `setClockwise` in interface `PieSeries`
Parameters:
  `newClockwise` - the new value of the 'Clockwise' attribute.
See Also:
  - `PieSeries.isSetClockwise()`
  - `PieSeries.unsetClockwise()`
  - `PieSeries.isClockwise()`

### unsetClockwise

public void unsetClockwise()

Specified by:
  `unsetClockwise` in interface `PieSeries`
See Also:
  - `PieSeries.isSetClockwise()`
  - `PieSeries.isClockwise()`
  - `PieSeries.setClockwise(boolean)`

### isSetClockwise

public boolean isSetClockwise()

Specified by:
  `isSetClockwise` in interface `PieSeries`
Returns:
  whether the value of the 'Clockwise' attribute is set.
See Also:
  - `PieSeries.unsetClockwise()`
  - `PieSeries.isClockwise()`
  - `PieSeries.setClockwise(boolean)`

### getInnerRadius

public double getInnerRadius()

Specified by:
  `getInnerRadius` in interface `PieSeries`
Returns:
  the value of the 'Inner Radius' attribute.
See Also:
  - `PieSeries.isSetInnerRadius()`
  - `PieSeries.unsetInnerRadius()`
  - `PieSeries.setInnerRadius(double)`
  - `TypePackage.getPieSeries_InnerRadius()`

### setInnerRadius

public void setInnerRadius(double newInnerRadius)

Specified by:
  `setInnerRadius` in interface `PieSeries`
Parameters:
  `newInnerRadius` - the new value of the 'Inner Radius' attribute.
See Also:
  - `PieSeries.isSetInnerRadius()`
  - `PieSeries.unsetInnerRadius()`
  - `PieSeries.getInnerRadius()`

### unsetInnerRadius

public void unsetInnerRadius()

Specified by:
  `unsetInnerRadius` in interface `PieSeries`
See Also:
  - `PieSeries.isSetInnerRadius()`
  - `PieSeries.getInnerRadius()`
  - `PieSeries.setInnerRadius(double)`

### isSetInnerRadius

public boolean isSetInnerRadius()

Specified by:
  `isSetInnerRadius` in interface `PieSeries`
Returns:
  whether the value of the 'Inner Radius' attribute is set.
See Also:
  - `PieSeries.unsetInnerRadius()`
  - `PieSeries.getInnerRadius()`
  - `PieSeries.setInnerRadius(double)`

### isInnerRadiusPercent

public boolean isInnerRadiusPercent()

Specified by:
  `isInnerRadiusPercent` in interface `PieSeries`
Returns:
  the value of the 'Inner Radius Percent' attribute.
See Also:
  - `PieSeries.isSetInnerRadiusPercent()`
  - `PieSeries.unsetInnerRadiusPercent()`
  - `PieSeries.setInnerRadiusPercent(boolean)`
  - `TypePackage.getPieSeries_InnerRadiusPercent()`

### setInnerRadiusPercent

public void setInnerRadiusPercent(boolean newInnerRadiusPercent)

Specified by:
  `setInnerRadiusPercent` in interface `PieSeries`
Parameters:
  `newInnerRadiusPercent` - the new value of the 'Inner Radius Percent' attribute.
See Also:
  - `PieSeries.isSetInnerRadiusPercent()`
  - `PieSeries.unsetInnerRadiusPercent()`
  - `PieSeries.isInnerRadiusPercent()`

### unsetInnerRadiusPercent

public void unsetInnerRadiusPercent()

Specified by:
  `unsetInnerRadiusPercent` in interface `PieSeries`
See Also:
  - `PieSeries.isSetInnerRadiusPercent()`
  - `PieSeries.isInnerRadiusPercent()`
  - `PieSeries.setInnerRadiusPercent(boolean)`

### isSetInnerRadiusPercent

public boolean isSetInnerRadiusPercent()

Specified by:
  `isSetInnerRadiusPercent` in interface `PieSeries`
Returns:
  whether the value of the 'Inner Radius Percent' attribute is set.
See Also:
  - `PieSeries.unsetInnerRadiusPercent()`
  - `PieSeries.isInnerRadiusPercent()`
  - `PieSeries.setInnerRadiusPercent(boolean)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `SeriesImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `SeriesImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `SeriesImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `SeriesImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `SeriesImpl`

### toString

public String toString()

Overrides:
  `toString` in class `SeriesImpl`

### create

public static final Series create()
A convenience method to create an initialized 'Series' instance

Returns:
  series instance

### createDefault

public static final Series createDefault()
A convenience method to create an initialized 'Series' instance

Returns:
  series instance

### getDisplayName

public String getDisplayName()
Description copied from interface: `Series`
This method should return a user-friendly name for the series type. NOTE: Manually written

Specified by:
  `getDisplayName` in interface `Series`
Overrides:
  `getDisplayName` in class `SeriesImpl`
Returns:
  display name for the series type

### copyInstance

public PieSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `PieSeries`
Specified by:
  `copyInstance` in interface `Series`
Overrides:
  `copyInstance` in class `SeriesImpl`

### getLabelPositionScope

public org.eclipse.birt.chart.util.NameSet getLabelPositionScope(ChartDimension dimension)
Description copied from interface: `Series`
Returns supported label positions scope in current series. Label position set in series must be in one of these types.

Specified by:
  `getLabelPositionScope` in interface `Series`
Overrides:
  `getLabelPositionScope` in class `SeriesImpl`
Parameters:
  `dimension` - chart dimension
Returns:
  NameSet with supported label positions.